---
title: GET /audit/chat-chain
description: "List your chats for record verification — Returns the chats you created, newest activity first, at most 50."
full: true
---

**Auth:** required. Send an `ivy_` API key (`Authorization: Bearer ivy_…`), a signed-in session token (`Authorization: Bearer …`) or the session cookie (browser sessions). See [Authentication](/docs/api/authentication).

Returns the chats you created, newest activity first, at most 50. Use an `id` from this list with the chat verification operation. Chats that were only shared with you are not listed, but can still be verified by id.

## Responses

### `200` OK

Your recent chats

Response shape:

- `chats` (object[]) —
Up to 50 chats you created, newest activity first.

### `401` Unauthorized

Authentication required

Response shape: `object`

### `429` Too Many Requests

Rate limit exceeded

Response shape: `object`

**curl**

```bash
curl -X GET 'https://ivybiosciences.com/api/audit/chat-chain' \
  -H "Authorization: Bearer $IVY_API_KEY"
```

**JavaScript**

```js
const res = await fetch('https://ivybiosciences.com/api/audit/chat-chain', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${process.env.IVY_API_KEY}`,
  },
});
const data = await res.json();
```

**Python**

```python
import os, requests

res = requests.get(
    "https://ivybiosciences.com/api/audit/chat-chain",
    headers={"Authorization": f"Bearer {os.environ['IVY_API_KEY']}"},
)
data = res.json()
```
